GDB (xrefs)

Public Attributes | List of all members
finish_breakpoint_object Struct Reference

## Public Attributes
gdbpy_breakpoint_object | py_bp
PyObject * | return_type
PyObject * | function_value
PyObject * | return_value

## Detailed Description

Definition at line 40 of file py-finishbreakpoint.c.

## Member Data Documentation

## ◆ function_value

PyObject* finish_breakpoint_object::function_value

Definition at line 50 of file py-finishbreakpoint.c.

Referenced by bpfinishpy_dealloc(), bpfinishpy_init(), and bpfinishpy_pre_stop_hook().

## ◆ py_bp

gdbpy_breakpoint_object finish_breakpoint_object::py_bp

Definition at line 43 of file py-finishbreakpoint.c.

Referenced by bpfinishpy_detect_out_scope_cb(), bpfinishpy_init(), and bpfinishpy_out_of_scope().

## ◆ return_type

PyObject* finish_breakpoint_object::return_type

Definition at line 47 of file py-finishbreakpoint.c.

Referenced by bpfinishpy_dealloc(), bpfinishpy_init(), and bpfinishpy_pre_stop_hook().

## ◆ return_value

PyObject* finish_breakpoint_object::return_value

Definition at line 54 of file py-finishbreakpoint.c.

Referenced by bpfinishpy_dealloc(), bpfinishpy_get_returnvalue(), and bpfinishpy_pre_stop_hook().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-finishbreakpoint.c